.env:git:prod:
  variables:
    ENV_NAME: prod
    ENV_PROD: 1
  rules:
    - if: '$CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED'
      when: on_success
      allow_failure: false
    - when: never

.env:git:staging:
  variables:
    ENV_NAME: staging
    ENV_STAGING: 1
  rules:
    - if: '$CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED'
      when: never
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $CI_COMMIT_REF_PROTECTED'
      when: on_success
      allow_failure: false
    - when: never

.env:git:review:
  variables:
    ENV_NAME: review
    ENV_REVIEW: 1
  rules:
    - if: '$CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED'
      when: never
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH
      when: on_success
    - when: never

## destroy rules

.env:git:no-destroy:
  rules:
    - when: never

.env:git:review:allow-destroy:
  variables:
    ENV_NAME: review
    ENV_CLEANUP: 1
  rules:
    - if: '$CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED'
      when: never
    - if: '$CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH'
      when: manual
      allow_failure: true
    - when: never
